2. Check the information
2.1. GetInfo - Check the status of invoice
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API checks the status and summarized information of an invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| itemCode | number | 3 |
Types of invoices
|
|
| itemKey | string | 18 | Identification number assigned by POPBiLL | |
| invoiceNum | string | 24 |
POPBiLL Confirm Number
POPBiLL automatically assigns this when issuing a tax invoice.
|
|
| mgtKey | string | 24 |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
|
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|
| regDT | string | 14 |
Date and time of the preparation of a draft
format : yyyyMMddHHmmss
|
|
| senderCorpName | string | 200 | [Seller] company name | |
| senderCorpNum | string | 10 | [Seller] business registration number | |
| senderPrintYN | boolean | - |
[Seller] whether an invoice is printed or not
trueprinted
falsenot printed
|
|
| receiverCorpName | string | 200 | [Buyer] company name | |
| receiverCorpNum | string | 10 | [Buyer] business registration number | |
| receiverPrintYN | boolean | - |
[Buyer] whether e-Tax invoice is printed or not
trueprinted
falsenot printed
|
|
| supplyCostTotal | string | 18 |
Sum of supply values
integer values(+/-) only
decimals will be automatically truncated |
|
| taxTotal | string | 18 |
Sum of tax amount
integer values(+/-) only
decimals will be automatically truncated |
|
| purposeType | string | 2 |
Payments received or not
영수payment received
청구payment not received
없음none
|
|
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|
| stateCode | number | 3 | Status Code refer to | |
| stateDT | string | 14 |
Date and time of the status change
format : yyyyMMddHHmmss
|
|
| stateMemo | string | 200 | Memo for user’s convenience | |
| openYN | boolean | - |
Whether a buyer opened an invoice or not
trueopened
falsedid not open
|
|
| openDT | string | 14 |
Date and time when a buyer opened an invoice
format : yyyyMMddHHmmss
|
Response Example
{
"itemCode": 121,
"itemKey": "025102118531000001",
"invoiceNum": "123456789020251021000003",
"mgtKey": "20251021_004",
"taxType": "과세",
"writeDate": "20251021",
"regDT": "20251021185310",
"senderCorpName": "테스트 상호",
"senderCorpNum": "1234567890",
"senderPrnumberYN": false,
"receiverCorpName": "공급받는자 상호",
"receiverCorpNum": "8888888888",
"receiverPrnumberYN": false,
"supplyCostTotal": "200000",
"taxTotal": "20000",
"purposeType": "영수",
"issueDT": "20251021185310",
"stateCode": 200,
"stateDT": "20251021185310",
"openYN": false,
"stateMemo": ""
}
2.2. GetInfos - Check the status of multiple submissions of invoice
POST
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}
POST
https://popbill.linkhub.co.kr/Statement/{ItemCode}
- This API checks the status and summarized information of multiple invoice (maximum : 1,000 invoices).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
Document ID of an invoice to view
maximum : 1,000 invoices
|
Request Example
curl --request POST \
--url 'https://{domain}/Statement/{ItemCode}' \
--header 'Authorization: Bearer {token}' \
--data '["TEST0001", "TEST0002"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| itemCode | number | 3 |
Types of invoices
|
|
| itemKey | string | 18 | Identification number assigned by POPBiLL | |
| invoiceNum | string | 24 |
POPBiLL Confirm Number
POPBiLL automatically assigns this when issuing a tax invoice.
|
|
| mgtKey | string | 24 |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
|
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|
| regDT | string | 14 |
Date and time of the preparation of a draft
format : yyyyMMddHHmmss
|
|
| senderCorpName | string | 200 | [Seller] company name | |
| senderCorpNum | string | 10 | [Seller] business registration number | |
| senderPrintYN | boolean | - |
[Seller] whether an invoice is printed or not
trueprinted
falsenot printed
|
|
| receiverCorpName | string | 200 | [Buyer] company name | |
| receiverCorpNum | string | 10 | [Buyer] business registration number | |
| receiverPrintYN | boolean | - |
[Buyer] whether e-Tax invoice is printed or not
trueprinted
falsenot printed
|
|
| supplyCostTotal | string | 18 |
Sum of supply values
integer values(+/-) only
decimals will be automatically truncated |
|
| taxTotal | string | 18 |
Sum of tax amount
integer values(+/-) only
decimals will be automatically truncated |
|
| purposeType | string | 2 |
Payments received or not
영수payment received
청구payment not received
없음none
|
|
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|
| stateCode | number | 3 | Status Code refer to | |
| stateDT | string | 14 |
Date and time of the status change
format : yyyyMMddHHmmss
|
|
| stateMemo | string | 200 | Memo for user’s convenience | |
| openYN | boolean | - |
Whether a buyer opened an invoice or not
trueopened
falsedid not open
|
|
| openDT | string | 14 |
Date and time when a buyer opened an invoice
format : yyyyMMddHHmmss
|
Response Example
[
{
"itemCode": 121,
"itemKey": "025102118531000001",
"invoiceNum": "123456789020251021000003",
"mgtKey": "20251021_004",
"taxType": "과세",
"writeDate": "20251021",
"regDT": "20251021185310",
"senderCorpName": "테스트 상호",
"senderCorpNum": "1234567890",
"senderPrnumberYN": false,
"receiverCorpName": "공급받는자 상호",
"receiverCorpNum": "8888888888",
"receiverPrnumberYN": false,
"supplyCostTotal": "200000",
"taxTotal": "20000",
"purposeType": "영수",
"issueDT": "20251021185310",
"stateCode": 200,
"stateDT": "20251021185310",
"openYN": false,
"stateMemo": ""
}
]
2.3. GetDetailInfo - Check the detailed information of invoice
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API checks the detailed information of a single invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| Detail | - | - | Y | Input as an empty value |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}?Detail' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| itemCode | number | 3 |
Types of invoices
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| mgtKey | string | 24 |
Document id
a unique value that can contain alphanumeric characters and special characters (‘-’,’_’)
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceNum | string | 24 |
POPBiLL Confirm Number
POPBiLL assigns this value when an invoice is issued
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| formCode | string | 8 |
Code for customized template
POPBiLL default template will be applied if not entered
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| purposeType | string | - |
Payments received or not
영수payment received
청구payment not received
없음none
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| serialNum | string | 30 | Serial number | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| supplyCostTotal | string | 18 | Sum of supply values | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| taxTotal | string | 18 | Sum of tax amount | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| totalAmount | string | 18 | Total amount | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| remark1 | string | 150 | Remark 1 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| remark2 | string | 150 | Remark 3 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| remark3 | string | 150 | Remark 3 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderCorpNum | string | 10 |
[Seller] business registration number
10 digits except a hyphen(‘-’)
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderTaxRegID | string | 4 |
[Seller] identification number of a branch place
4 digits value
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderCorpName | string | 200 | [Seller] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderCEOName | string | 100 | [Seller] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderAddr | string | 300 | [Seller] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderBizType | string | 100 | [Seller] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderBizClass | string | 100 | [Seller] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderContactName | string | 100 | [Seller] name of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderDeptName | string | 40 | [Seller] department of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderTEL | string | 20 | [Seller] contact number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderHP | string | 20 | [Seller] cell phone number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderEmail | string | 100 | [Seller] email of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| senderFAX | string | 20 | [Seller] FAX number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverCorpNum | string | 10 | [Buyer] business registration number | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverTaxRegID | string | 4 | [Buyer] identification number of a branch place | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverCorpName | string | 200 | [Buyer] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverCEOName | string | 100 | [Buyer] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverAddr | string | 300 | [Buyer] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverBizType | string | 100 | [Buyer] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverBizClass | string | 100 | [Buyer] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverContactName | string | 100 | [Buyer] name of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverDeptName | string | 40 | [Buyer] department of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverTEL | string | 20 | [Buyer] contact number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverHP | string | 20 | [Buyer] telephone number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverEmail | string | 100 | [Buyer] email of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| receiverFAX | string | 20 | [Buyer] FAX number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| propertyBag | object | - |
Additional property
for each different type of invoice, enter property as “key”, “value” format.
refer to [Forms - Additional Properties for Standard Form] |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| detailList | array | - |
Detailed list of items
no limit on length
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"itemCode": 121,
"mgtKey": "20251021_004",
"invoiceNum": "123456789020251021000003",
"writeDate": "20251021",
"taxType": "과세",
"senderCorpNum": "1234567890",
"senderCorpName": "테스트 상호",
"senderCEOName": "테스트 대표",
"senderTaxRegID": "",
"senderAddr": "테스트 주소",
"senderBizClass": "테스트 종목",
"senderBizType": "테스트 업태",
"senderContactName": "테스트 담당자 성명",
"senderDeptName": "테스트 부서명",
"senderTEL": "070-111-222",
"senderHP": "010-000-222",
"senderEmail": "test@test.com",
"receiverCorpNum": "8888888888",
"receiverCorpName": "공급받는자 상호",
"receiverCEOName": "공급받는자 대표자 성명",
"receiverTaxRegID": "",
"receiverAddr": "공급받는자 주소",
"receiverBizClass": "공급받는자 업종",
"receiverContactName": "공급받는자 담당자명",
"receiverTEL": "010-0000-1111",
"receiverHP": "010-1111-2222",
"receiverEmail": "test@test.com",
"supplyCostTotal": "200000",
"serialNum": "123",
"taxTotal": "20000",
"totalAmount": "220000",
"purposeType": "영수",
"remark1": "비고1",
"remark2": "비고2",
"remark3": "비고3",
"faxsendYN": false,
"businessLicenseYN": false,
"bankBookYN": false,
"autoAcceptYN": false,
"smssendYN": false,
"detailList": [
{
"serialNum": 1,
"purchaseDT": "20201006",
"itemName": "Item Name 01",
"spec": "spec",
"qty": "1",
"unitCost": "110000",
"supplyCost": "100000",
"tax": "10000",
"remark": "Item reamrk"
},
],
"propertyBag": {}
}
2.4. Search - Search the list of invoice
GET
https://popbill-test.linkhub.co.kr/Statement/Search
GET
https://popbill.linkhub.co.kr/Statement/Search
- This API searches a cash receipt corresponded to the search criteria ( maximum search scope of period : 6 months)
- We recommend to use this API when a user implements the list of invoices with items related to the page (variables : Page, perPage, Order).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| DType | string | 1 | Y |
Date type in search criteria
Rdate of registration
Wdate of preparation
Idate of issuance
|
|
| SDate | string | 8 | Y |
Initial date of search scope
format : yyyyMMdd
|
|
| EDate | string | 8 | Y |
Last date of search scope
format : yyyyMMdd
|
|
| State | string | - | N |
Invoice status code
wild card(*) can be put on 2nd, 3rd letter
e.g., "3**", "6**" refer to [Status Code] search all if not entered
|
|
| ItemCode | number | - | N |
Types of invoices (multiple choice is possible)
Separate with a comma(',') for multiple selections. e.g. 121,122
search all if not entered
|
|
| QString | string | - | N |
Search the identification number of an invoice.
└ buyer’s company name └ buyer’s business registration number search all if not entered
|
|
| Page | number | - | Y |
Page number of a list
Default : 1
|
|
| PerPage | number | - | N |
The number of list to be displayed per page
maximum : 1,000
|
|
| Order | string | 1 | N |
Sort order related to the value of {DType}
Ddescending (default)
Aascending
|
Request Example
curl --request GET \
--url 'https://{domain}/Statement/Search?DType={DType}&SDate={SDate}&EDate={EDate}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | number | - |
API response code
1Success
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| message | string | - | API response message | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | string | - | Total number of search results | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| perPage | string | - | Number of items per page | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageNum | string | - | Page number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageCount | string | - | Number of pages | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| list | array | - |
Status/summarized info of invoices
maximum : 1,000
the configuration is same as the return value of [GetInfo – Check the status of an invoice] API.
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"code": 1,
"total": 14,
"perPage": 500,
"pageNum": 1,
"pageCount": 1,
"list": [
{
"invoicerPrintYN": false,
"invoiceeCorpName": "공급받는자 상호",
"invoiceePrintYN": false,
"trusteePrintYN": false,
"taxTotal": "10000",
"supplyCostTotal": "100000",
"lateIssueYN": false,
"stateCode": 100,
"taxType": "과세",
"purposeType": "영수",
"itemKey": "025102220380000001",
"interOPYN": true,
"writeDate": "20251022",
"issueType": "정발행",
"openYN": false,
"invoicerCorpNum": "1234567890",
"invoicerMgtKey": "20251022-10",
"invoicerCorpName": "공급자 상호",
"invoiceeCorpNum": "8888888888",
"regDT": "20251022203801",
"stateDT": "20251022203801"
},
]
"message": "검색 완료"
}
2.5. GetLogs - Check the log of invoice status changes
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}/Logs
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}/Logs
- This API checks the log of status changes of an invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}/Logs' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| docLogType | number | 3 | Type of log | |
| log | string | 2000 | Log information | |
| procType | string | 3 |
Handling type
연동processed via API
일반processed via POPBiLL service website
시스템processed via POPBiLL system
|
|
| procMemo | string | 200 | Memo on processing | |
| regDT | string | 14 |
Date and time of the registration
format : yyyyMMddHHmmss
|
|
| ip | string | 39 | IP address |
Response Example
[
{
"ip": "112.***.**.27",
"docLogType": 310,
"procType": "연동",
"procMemo": "담당자 이메일 : test@test.com",
"log": "발행 되었습니다.",
"regDT": "20251021185310"
}
]
2.6. GetURL - URL for invoice menu
GET
https://popbill-test.linkhub.co.kr/Statement
GET
https://popbill.linkhub.co.kr/Statement
- This API returns the URL to access the menu related to an invoice of POPBiLL service website in login status.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y |
Targeted Menu
|
Request Example
curl --request GET \
--url 'https://{domain}/Statement?TG={TG}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Returned URL of response on the request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
